/*
 *	Programmer:	Piotr Borek
 *	E-mail:		piotrborek@op.pl
 *	Copyright 2010  Piotr Borek
 *
 *	Distributed under the terms of the GPL (GNU Public License)
 *
 *   Jarre is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.widgets.common;

import org.eclipse.swt.graphics.Image;

public interface IImageFactory {
    String IMAGE_DIRECTORY = "gtk-directory";
    String IMAGE_FILE = "gtk-file";
    String IMAGE_GO_UP = "gtk-go-up";
    /*
    String IMAGE_MEDIA_PLAY = "gtk-media-play";
    String IMAGE_MEDIA_PAUSE = "gtk-media-pause";
    String IMAGE_MEDIA_STOP = "gtk-media-stop";
    String IMAGE_MEDIA_REWIND = "gtk-media-rewind";
    String IMAGE_MEDIA_FORWARD = "gtk-media-forward";
    String IMAGE_MEDIA_PREVIOUS = "gtk-media-previous";
    */
    Image createImage(String name);
}
